{#
Structure de page pour les pages contenant un seul formulaire
Pour la structure d'une partie de page destinée à apparaitre dans la partie basse d'un formulaire avec grille, voir entityFormBase.html.twig.
#}
{% extends '@Paa/Default/menu.html.twig' %}
{% block head %}
	<meta name="description" content="Edition de {{ psLibelléTable }}">
        {{ parent() }}
    <style type="text/css">
{#		#InfosAffichageTable {
			display: inline-block;
			float: right;
			padding-right: 15px;
			padding-top: 10px;
		}
#}	  table.dataTable tbody tr, td {
		  padding:0;
		  height: 10px;
		  min-height:10px;
		  max-height:10px;
	  }
	  table.dataTable tbody td{
		  padding-top:2px;
		  padding-bottom:2px;
	  }
      #resize_handle {
          position: absolute;
          bottom: 0;
          left: 0;
          right: 0;
          cursor: n-resize;
		  background-color: lightgrey;
          height: 5px;
		  border: 2px outset;
      }
    </style>

{%endblock%}

{#Titre de la page#}
{% block titrePage %}
	<div id="NomTable" style="display: none;">{{ psNomTable }}</div>
	<div id="LibelléTable" style="display: none;">{{ psLibelléTable }}</div>
	<div class = "TitrePage">{{ psLibelléTable }}</div>
{#	<div id = "InfosAffichageTable"></div>
#}{% endblock %}

{#Corps du body#}
{% block content %}
   {# <div class="col-xs-12 col-sm-12 col-md-2 col-lg-3>#}
        {#<img id="loadingGif" src= "{{ asset_version('loader3.gif') }}" style="display: block" />#}
        {# LG 2081220 début #}
                {# MG 20192511 #}
                {# Ce form_start override celui de entityFormBase, ne pouvant pas appliqué la classe LG_disbaled, mais les boutons de sauvegarde et annulation disparaissent       #}
        {#	{{ form_start(poForm, {'attr': {'class': 'form-horizontal', 'id': 'fEntityForm_' ~ psNomTable}}) }}#}
        {# LG 2081220 fin #}

                {#Formulaire lui-même#}
                {% block FormulaireLuiMeme %}
                        {% include '@Paa/Default/pageEntityForm_Contenu.html.twig' %}
                {% endblock %}
                
                {% if poForm.Enregistrer is defined %}
                {# LG 20191118 deac <div class="col-xs-4 col-sm-2 col-md-2 col-lg-2 pull-right">#}
                        {{ form_widget(poForm.Enregistrer, {'attr': {'class': 'btn cmdSave btn-block'}}) }}
                {# LG 20191118 deac </div>#}
                {% endif %}
                {# MG 20192511 #}
                {{ form_end(poForm) }}

        {#Boutons Annuler/Nouveau/Dupliquer/Listing (et contenant pour bouton Enregistrer)#}
        <div id="ctnBoutons_users_wrapper" class="col-xs-12 col-sm-12 col-md-2 col-lg-3">        
            {% include '@Paa/Default/entityFormBoutons.html.twig' %}
        </div>
        
{#    </div>#}
{% endblock %}

{#Scripts qui doivent s'exécuter à la fin du body#}
{% block scriptsEnFinDeBody %}
{{ parent() }}
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityForm.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormBoutons.js')}}"></script>

	{#Bootstrap multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started#}
	<script type="text/javascript" src="{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}"></script>
	<link rel="stylesheet" type="text/css" href="{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}">
    
	{#spectrum : widget getColor utilisé pour les colorPicker #}
	<script src="{{asset_version('vendor/spectrum/spectrum.js')}}"></script>
	<link rel="stylesheet" href="{{asset_version('vendor/spectrum/spectrum.css')}}" />
	<script type="text/javascript" src="{{asset_version('Limoog/Partages/src/couleurs.js')}}"></script>

	<script>
    $(document).ready(onDocumentReady) ;
	function onDocumentReady() {
		var loEntityForm = newEntityForm(null, "{{ psNomTable }}", "{{ psLibelléTable }}") ;
		loEntityForm.oEntityFormBoutons = entityFormBoutons(null, "{{ psNomTable }}") ; ;
//LG 20190702 old		loEntityForm.DocumentReady(true) ;
//MG 20192511 debut

{#                document.getElementById('fEntityForm_users').appendChild(document.getElementById('ctnBoutons_users'));#}
                document.getElementById('fEntityForm_users').appendChild(document.getElementById('ctnBoutons_users_wrapper'));
{#                $('#ctnBoutons_users').attr("class","col-lg-3");#}
//MG 20192511 fin
		loEntityForm.FormReady(true) ;
	}		
	</script>

{% endblock %}
